/*
 * anyRemote
 * a bluetooth remote for your PC.
 * Copyright (C) 2006
 * 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 */

#ifndef _CMDS_H
#define _CMDS_H

#include "parse.h"

#define PARAM_START     "$("
#define PARAM_CALLID    "CallId)"
#define PARAM_TIME      "Time)"
#define PARAM_MODE      "Mode)"
#define PARAM_PARAM     "Param)"
#define PARAM_INDEX     "Index)"

#define SEND_STRING     "string"
#define SEND_BYTES      "bytes"

#define SET_ICONS      "icons"
#define SET_TITLE      "title"
#define SET_STATUS     "status"
#define SET_TEXT       "text"
#define SET_FG         "fg"
#define SET_BG         "bg"
#define SET_FONT       "font"
#define SET_VIBRATE    "vibrate"
#define SET_LIST       "list"
#define SET_SKIN       "skin"
#define SET_DEBUG      "debug"
#define SET_FMGR       "filemanager"

int         cancelTimer     (char *id);
int  	    handleCmdByKey  (type_key* k, cmdParams *p);
int 	    processCommands (cmdItem* cmdList, cmdParams *p);
int         processTimerCmd (char *origCmd);
int         verifyTimers    (int ticksInSec);
void        freeTimers      ();

#endif
